Bug 3319 - hide unreadable in dfsroot hides msdfs links
hide unreadable in dfsroot hides msdfs links
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.21
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-12 10:09 UTC by Volker Kindermann
Modified: 2006-12-29 14:40 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch: Ignore "hide xxxx" options for msdfs symlinks (690 bytes, patch)
2006-12-26 21:24 UTC, SATOH Fumiyasu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Kindermann 2005-12-12 10:09:41 UTC
#=================== Share Definitions ===================

[dfs]
        comment = "SVC SaMBa DFS root"
        path = /dfsroot
#       does not work !!!
#       hide unreadable = Yes
        msdfs root = Yes

#=================== Share Definitions ===================

uncomment 'hide unreadable = Yes' hides all symlinks like
` find /dfsroot -lname "msdfs:*" `

A fix which excludes stale symlinks (matching msdfs) from hide
would be great
Comment 1 SATOH Fumiyasu 2006-12-26 21:24:22 UTC
Created attachment 2243 [details]
Proposed patch: Ignore "hide xxxx" options for msdfs symlinks

This patch fixs smbd to ignore "hide {unreadable,unwriteable files,special files}" options for MSDFS symlinks. Please test and commit it.
Comment 2 Jeremy Allison 2006-12-29 14:40:39 UTC
Applied (a slight varient of this) - thanks !
Jeremy.